<div class= "create-course-forms">
  <mat-form-field class="example-form-field">
    <mat-label>Unesite ime kursa</mat-label>
    <input matInput type="text" [(ngModel)]="name">
  </mat-form-field>

  <br>

  <mat-form-field appearance="fill" class="select-level">
    <mat-label>Nivo</mat-label>
    <mat-select [(ngModel)]="selectedLevel" name="Level">
      <mat-option *ngFor="let lvl of levels" [value]="lvl.value">
        {{lvl.viewValue}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <br>


  <mat-form-field appearance="fill" class="select-category">
    <mat-label>Naziv oblasti</mat-label>
    <mat-select [(ngModel)]="selectedCategory" name="Category">
      <mat-option *ngFor="let cat of Categories" [value]="cat.value">
        {{cat.viewValue}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <br>

  <mat-form-field appearance="fill">
    <mat-label>Opis kursa</mat-label>
    <textarea matInput type="text" [(ngModel)]="description"></textarea>
  </mat-form-field>
  <br>
  <button [disabled]="name==='' || selectedCategory==='' || selectedLevel===''"(click)="submit()" mat-raised-button color="primary" class= "btn-pretrazi">Napravi kurs</button>
</div>
